## UfoInputTask

UfoInputTask — Input task

## Functions

UfoNode * | ufo_input_task_new ()
void | ufo_input_task_stop ()
void | ufo_input_task_release_input_buffer ()
UfoBuffer * | ufo_input_task_get_input_buffer ()

## Types and Values

struct | UfoInputTask
struct | UfoInputTaskClass

## Object Hierarchy

        GObject
        ╰── UfoNode
            ╰── UfoTaskNode
                ╰── UfoInputTask

## Implemented Interfaces

UfoInputTask implements

## Description

Task to interface arbitrary C code with the execution. The input task receives data and pushes into the data stream. The UfoOutputTask is the symmetric cousin.

## Functions

### ufo_input_task_new ()

    UfoNode *
    ufo_input_task_new (void);

### ufo_input_task_stop ()

    void
    ufo_input_task_stop (UfoInputTask *task);

### ufo_input_task_release_input_buffer ()

    void
    ufo_input_task_release_input_buffer (UfoInputTask *task,
                                         UfoBuffer *buffer);

### ufo_input_task_get_input_buffer ()

    UfoBuffer *
    ufo_input_task_get_input_buffer (UfoInputTask *task);

Get the input buffer to which we write the data received from the master remote node.

#### Parameters

task | A UfoInputTask |

#### Returns

A UfoBuffer for writing input data.

[transfer none]

## Types and Values

### struct UfoInputTask

    struct UfoInputTask;

Main object for organizing filters. The contents of the UfoInputTask structure are private and should only be accessed via the provided API.

### struct UfoInputTaskClass

    struct UfoInputTaskClass {
    };

UfoInputTask class